Subject: Re: [hybi] how do we move forward on agreeing on framing?

From: "Shelby Moore" <[email-masked]>
Date: Thu, 19 Aug 2010 14:36:23 -0400

my 0.0000002 cents...

Robert Peon wrote:
> I don't think that is the case since I'm likely to have to load-balance
> millions or billions of connections and not have the ability to modify
> or place interesting requirements on the servers while remaining
> competitive.

Shelby Moore wrote:
> However, we can access probabilities, and thus prioritize [snip]
> so as to reduce conflation errors that accumulate as brittle
> complexity inertia.

Are you designing an orthogonal layer in a protocol stack (correct
engineering), or deciding if YouTube's current server farm architecture is
cost competitive in future?

I am for simplying the base protocol and focusing on getting the basics
correct, such as the transport. (but I don't believe in mob rule so you
can't use my vote officially)